<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
global $generator;
$ankieta->writeGap();

$ankieta->writeGap();
//$ankieta->writeHeader("REKRUT");
//$ankieta->writeGap();

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

$wiekPr=$ankieta->getValue("WIEKPR");
$wiekLabs=$ankieta->getLabels("WIEKPR");
$wiekLab=explode("-",$wiekLabs[$wiekPr]);
$wiekMin=$wiekLab[0];
$wiekMax=$wiekLab[1];

/* @var Ankieta $ankieta */

$answers=array();
$answers[1]="Brolio";
$answers[2]="Kujawski z pierwszego tłoczenia (butelka plastikowa)";
$answers[3]="Kujawski 3 ziarna (butelka szklana)";
$answers[4]="Kujawski z ziołami (np. z czosnkiem, bazylią, pomidorami)";
$answers[5]="Kujawski tłoczony na zimno (butelka szklana)";
$answers[6]="Mazowiecki Mosso";
$answers[7]="Marlibo";
$answers[8]="Oleo";
$answers[9]="Oliwier";
$answers[10]="Polski";
$answers[11]="Popularny";
$answers[12]="Bartek uniwersalny";
$answers[13]="Vita D’or";
$answers[14]="Wielkopolski";
$answers[15]="Wyborny";
$answers[16]="Beskidzki";
if ($generator==false) {
    shuffleAssoc($answers);
}
$answers[17]="inna marka oleju (jaka?)";
$ankieta->writeCheckbox('S3am','Jakiej marki olej rzepakowy używa Pani w kuchni?',$answers,true,@clean($data['S3am'],NULL),'NUMERIC','',"<span onClick=\"doLogicS3am($(this).find('input:checkbox').attr('id'));\">","</span>");




?>
<div style="display:none;">
    <?php
    $ankieta->writeInputNumber("S3amILE","ILE ODP",@clean($data['S3amILE']), true,'',"NUMERIC","2.0",false,2);
    ?>
</div>

<script type="text/javascript">

    function doLogicS3am() {
        console.log('doLogicS3am');
        var ile = $('input[name="S3am[]"]:checkbox:checked').length;
        console.log('ile',ile);
        $('#S3amILE').val(ile);
    }

</script>
